### Method

# Ide Pipeline get_stage_by_id

#### Declaration

    IdePipelineStage*
    ide_pipeline_get_stage_by_id (
      IdePipeline* self,
      guint stage_id
    )

#### Description

Gets the stage matching the identifier `stage_id` as returned from ide_pipeline_attach().

Available since: | 3.32

#### Parameters

`stage_id` | `guint`
| The identfier of the stage.

#### Return value

Returns: | `IdePipelineStage`
| An `IdePipelineStage` or `NULL` if the stage could not be found.
| The data is owned by the instance.
| The return value can be `NULL`.